From 645c9ffdb6cee220bd5ee346f2295835be6c738b Mon Sep 17 00:00:00 2001
From: Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
Date: Jan 27 2026 15:37:01 +0000
Subject: [PATCH 5/16] presets: actually enable lvm-devices-import stuff


Fixup for b5f4921e479d8903f1bbaf67b105c7814853a9d5. Systemd does some
useless mapping(*) when a path is specified, so the intended units
(lvm-devices-import.path and .service) were not matched by this rule.

(*) usr-lib-systemd-system-lvm\x2ddevices\x2dimport.path.mount
and usr-lib-systemd-system-lvm\x2ddevices\x2dimport.service.mount

---

diff --git a/90-default.preset b/90-default.preset
index 0ef49c4..5a2dfc8 100644
--- a/90-default.preset
+++ b/90-default.preset
@@ -472,8 +472,8 @@ enable kernel-bootcfg-boot-successful.service
 
 # Enable lvm-devices-import
 # https://bugzilla.redhat.com/show_bug.cgi?id=2301651
-enable /usr/lib/systemd/system/lvm-devices-import.path
-enable /usr/lib/systemd/system/lvm-devices-import.service
+enable lvm-devices-import.path
+enable lvm-devices-import.service
 
 # Enable fips-crypto-policy-overlay
 # https://bugzilla.redhat.com/show_bug.cgi?id=2325499

